label PlanetTundra:
    scene bg tundrabg
    with fade
    play music "TundraMusic.mp3" fadeout 1.0 fadein 1.0
    show item:
        xalign 0.0 yalign 0.0
    with easeinleft
    #Check if player has visited Tundra Punks already
    if VisitedTundra:
        show punk neutral
        if DogReturn:
            show dog at right
        with moveinright
        K "Oi oi. You have more questions or somethin'?"
        jump TundraQuestions
    
    else:
        $ VisitedTundra = True
        A "Jesus, it's cold. Not that I should be surprised."
        A "(So what does the gudebook say about here?)"
        A "'A metropolis built upon heavy industry and the culinary arts.'"
        A "'Residents are passionate. While caution isn't necessary it is advised.'"
        A "(That sounds a little mean-spirited, I'm sure they're just fine-)"
        show punk neutral
        with vpunch
        K "Oi you! Stop right there!"
        A "Uwah!"
        K "Are YOU the agent from the Peacekeepers?"
        A "Y-yeah, that's right."
        show punk calm
        K "About time! Name's Klothilde Damri."
        show punk neutral
        K "I've shaken down at least 15 people trying to find you!"
        A "You've been assaulting random people, I can't just let you do tha-"
        show punk neutral
        with vpunch
        K "It's an EMERGENCY, damn it!"
        A "Okay! Okay. Jusy calm down and tell me what's going on."
        show punk calm
        jump TundraQuestions

label TundraQuestions:
    #The X_Problem variable starts out TRUE. When it's False, the problem is solved.
menu:
    A "What should I ask about?"
    "What did you need help with?" if Tundra_Problem:
        jump TundraProblem
    
    "The Space Zookeeper at your service." if HeardTundraProblem and Tundra_Problem:
        jump TundraSolution
    
    "About that favour..." if HeardVolcanoProblem and Tundra_Request:
        jump TundraRequest
        
    "This place is... definitely unique!":
        jump TundraBackground
    
    "I'd better get going.":
        jump TundraLeave

label TundraProblem:
    # If You've heard the problem already...
    if HeardTundraProblem:
        show punk calm
        A "Okay, so run the problem past me once more please?"
        show punk neutral
        with vpunch
        K "GOD, does anyone listen to me? I'll keep it brief."
        K "Our dogs have been stolen. We're pretty sure Candy Harajuku City is to blame."
        show punk calm
        K "So like, find them, yeah?"
        jump TundraQuestions
    # Else, give the full problem    
    else:
        $ HeardTundraProblem = True
        show punk calm
        A "Okay, so deep breaths - what's the problem here?"
        show punk neutral
        K "Aside from you being INCREDIBLY patronising?"
        A "Oh no, I'm sorry, you just seem incredibly stressed."
        show punk calm
        K "Eh, whatever. You're not not wrong about being stressed out - things have been absolute shit lately."
        K "It's been a trying time for almost everyone since they went missing."
        A "And who are 'they'?"
        show punk neutral
        with vpunch
        K "Man they didn't tell you ANYTHING?! The DOGS! They're GONE, innit!"
        A "What, like all of the dogs?"
        K "YES, ALL OF- ahem."
        show punk calm
        K "Yeah, they've all vanished. Kidnapped, I'm pretty sure."
        K "Don't ask me how they managed it, all I know is that we woke up one night after a massive piss-up and the little tykes were gone."
        A "(And she doesn't wonder if getting drunk had nothing to do with it?)"
        K "The City Council got a ransom note, too."
        A "What did it say?"
        show punk neutral
        K "They're gonna gonna cross breed the dogs! Don't they know how unethical that could be? Those MONSTERS."
        K "We did get a clue, though. The envelop smelled pretty strongly of vanilla and peanut butter-swirl ice cream."
        A "And that would mean...?"
        K "That Candy Harajuku City is behind it! We're trying to do our part to get them back ourselves, but they're a tough nut to crack."
        show punk calm
        K "So help us get our dogs back, yeah? I'm begging ya."
        jump TundraQuestions

label TundraSolution:
    A "So you wanted info on where your dogs went?"
    show punk neutral
    K "Oh man, have you found them? Please tell me you have!"
    #Check if we have the right item
    if HaveDog:
        A "Better still, I brought one of them back with me!"
        A "Here you go."
        $ HaveDog = False
        play sound "GiveItem.mp3"
        show punk dog
        $ DogReturn = True
        K "Oh man! It's Mr Shitkicker!"
        K "I thought I'd lost you forever! Who's a good boy?"
        K "Thanks, dude, you've made my Space Week."
        K "But wherever did you find him? How many assholes from Candy Harajuku did you have to shake down?"
        A "None, actually - they didn't take them."
        K "You're kiddin' me, we went after the wrong guys? Then who did it?"
        A "The Cowboy-Metalhead City Council. They had plans for them, but it's a bit difficult to explain."
        show punk neutral
        K "No need to tell me. I'll get it out of them myself."
        A "I'm glad to hear it but can you stop cracking you knuckles at me? I'm just the messenger."
        show punk calm
        K "I know, stop freaking out."
        K "We really owe you one - is there anything we can do for you in exchange?"
        
        if HeardVolcanoProblem:
            A "Yeah, actually, I need to get a large amount of ice."
            A "I don't suppose, you, ah, can part with any of that?"
            K "Hahaha, you bet we can!"
            K "But you're gonna have to dig it up yourself, like hell I'm gonna do that for you."
            A "(Oh man... I don't have the body for hard labour...)"
            K "You can borrow these boots - the permafrost here is incredibly solid..."
            show punk neutral
            K "But the spikes on these babies will pierce right through 'em!"
            scene bg curtain
            with dissolve
            "One Space Hour later..."
            scene bg tundrabg
            show item:
                xalign 0.0 yalign 0.0
            show punk calm
            show dog at right
            with dissolve
            $ HaveIce = True
            play sound "GetItem.mp3"
            A "Phew, what a workout!"
            A "This will do nicely. Thanks, Klothilde."
            K "Aw, it's nothin'. Come back whenever, you can join in at the next mosh party!"
            $ Tundra_Problem = False
            $ ProblemsSolved += 1
            hide item
            with moveoutleft
            hide punk
            hide dog
            scene black
            with dissolve
            if ProblemsSolved == 4:
                jump Endgame
            else:
                jump SpaceMap
        else:
            $ Tundra_Request = True
            A "Hm. I can't think of anything at the minute, but when I do, I'll come back to let you know."
            K "Okay, that's cool. Thanks again!"
            $ Tundra_Problem = False
            stop music fadeout 1.0
            hide item
            with moveoutleft
            hide punk
            hide dog
            scene black
            with dissolve
            jump SpaceMap
    
    else:
        show punk calm
        A "Um, no, not yet, I-"
        show punk neutral
        with vpunch
        K "ARE YOU LOOKING FOR A FIGHT?"
        A "NO! No no no it's cool, I'm gonna find the dogs just keep calm!"
        jump TundraQuestions

label TundraRequest:
    $ Tundra_Request = False
    show punk calm
    A "Ah, about you saying I can make a request of you?"
    K "Uh-huh, just name it."
    A "Yeah, actually, I need to get a large amount of ice."
    A "I don't suppose, you, ah, can part with any of that?"
    K "Hahaha, you bet we can!"
    K "But you're gonna have to dig it up yourself, like hell I'm gonna do that for you."
    A "(Oh man... I don't have the body for hard labour...)"
    K "You can borrow these boots - the permafrost here is incredibly solid..."
    show punk neutral
    K "But the spikes on these babies will pierce right through 'em!"
    scene bg curtain
    with dissolve
    "One Space Hour later..."
    scene bg tundrabg
    show item:
            xalign 0.0 yalign 0.0
    show punk calm
    show dog at right
    with dissolve
    $ HaveIce = True
    play sound "GetItem.mp3"
    A "Phew, what a workout!"
    A "This will do nicely. Thanks, Klothilde."
    K "Aw, it's nothin'. Come back whenever, you can join in at the next mosh party!"
    $ ProblemsSolved += 1
    stop music fadeout 1.0
    hide item
    with moveoutleft
    hide punk
    hide dog
    scene black
    with dissolve
    if ProblemsSolved == 4:
        jump Endgame
    else:
        jump SpaceMap
        
label TundraBackground:
    #Have we heard his background already?
    if HeardTundraBackground:
        A "So what about yourself? What's fun to do in the Tundra Punk Metropolis?"
        show punk calm
        K "We're all pretty big on cooking around here."
        K "The best engineers in the galaxy are also the best at making barbeque grills, as it turns out."
        A "It'd definitely help beat this freezing weather that's for sure..."
        K "I've got this smoker that I built a while back."
        show punk neutral
        K "An absolute badass of a machine. Makes smoked cheesecake so good it'll make yer mohawk grow by 3 inches!"
        show punk calm
        jump TundraQuestions
    
    else:
        $ HeardTundraBackground = True
        A "Your Planet-City is massive! I wasn't expecting so many buildings..."
        show punk neutral
        K "What, you think we can't get our shit together when we want?"
        show punk calm
        K "I'll have you know that we have the best engineers and mechanics around."
        K "One of ours is responsible for inventing the technology that allows these Planet-Cities to even work, yeah?"
        K "That said, we were one of the last to leave the space station."
        A "Even though the Punks pioneered the technology for it?"
        K "That's always how it goes. Your culture has a breakthrough, and then everyone else has to go and take that shit for themselves."
        K "So we stayed behind just to show 'em what's what."
        A "But you still left in the end?"
        K "We still wanted to carve out our own space, one that the others wouldn't be able to handle living in."
        A "Hence all the ice and snow."
        show punk neutral
        K "Hell yeah, you gotta be well 'ard to live in this Winter Wonderland."
        jump TundraQuestions
    
label TundraLeave:
    A "I gotta get going, but thank you for the info."
    show punk calm
    K "S'cool. Later!"
    stop music fadeout 1.0
    hide item
    with moveoutleft
    hide punk
    if DogReturn:
        hide dog
    scene black
    with dissolve
    jump SpaceMap